[v2] Collection Historical Floor Prices
This endpoint provides the historical floor price for a specific collection and a given time period.
Collection prices are sourced from multiple ordinals marketplaces.
get
Get historical floor prices for an Ordinals collection.
Authorizations
x-api-keystringRequired
Path parameters
collectionIdstringRequiredExample:
{"value":"wzrds"}Query parameters
fromTimestampstringRequired
ISO timestamp - no older than 1 year ago (e.g. 2024-08-29T03:09:35.236Z)
toTimestampstringOptional
ISO timestamp - up until now / not in the future
Responses
200
Default Response
application/json
timestampstringRequired
400
Invalid input
application/json
401
Unauthorized
application/json
404
Not found
application/json
429
Rate limit exceeded
application/json
500
Internal server error
application/json
get/v2/ordinals/collections/{collectionId}/historical-floor-prices
GET /v2/ordinals/collections/{collectionId}/historical-floor-prices?fromTimestamp=text HTTP/1.1
Host: api.secretkeylabs.io
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"timestamp": "text",
"floorPrices": [
{
"marketplace": "text",
"valueInSats": 1,
"valueInUsd": "text"
}
]
}
]Last updated